Bug 815610 - PATCH: properly deal with crypt() returning NULL
PATCH: properly deal with crypt() returning NULL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 00:06 EDT by Paul Wouters
Modified: 2013-07-09 03:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 03:47:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (771 bytes, patch)
2012-04-24 00:06 EDT, Paul Wouters
no flags Details | Diff

  None (edit)
Description Paul Wouters 2012-04-24 00:06:22 EDT
crypt() can return NULL, so the result of crypt() should not be fed straight into strcmp()

One reason for crypt() returning NULL could be that the machine is in fips mode and the hash algorithm is not allowed.

Patch attached
Comment 1 Paul Wouters 2012-04-24 00:06:54 EDT
Created attachment 579741 [details]
patch hanlding crypt() returning NULL
Comment 2 Lukáš Nykrýn 2012-04-26 04:54:12 EDT
Thanks for the patch, I have also sent it to upstream.
Comment 3 Fedora Admin XMLRPC Client 2013-03-01 09:37:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-07-04 02:14:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Paul Wouters 2013-07-08 13:30:57 EDT
set version to rawhide, patch still not applied.
Comment 6 Lukáš Nykrýn 2013-07-09 03:46:52 EDT
We use sulogin from util-linux in fedora and not the one from sysvinit. So I don't think it is necessary to patch unused code. I am closing this as wontfix, but if you have any objection please feel free to reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.